opensdr_check_var(OPENSDR_PORT_DIR)

set(OPENSDR_PORT_TARGET_PREFIX "gsl-liquid")
set(OPENSDR_PORT_INCLUDES "${OPENSDR_PORT_DIR}/include")

file(GLOB_RECURSE OPENSDR_PORT_HEADERS
    "${OPENSDR_PORT_DIR}/*.h"
)

file(GLOB_RECURSE OPENSDR_PORT_SOURCES
    "${OPENSDR_PORT_DIR}/*.c"
)

find_package(GSL REQUIRED)
set(OPENSDR_PORT_LINK_LIBS GSL::gsl GSL::gslcblas liquid)

opensdr_dev_var(OPENSDR_PORT_INCLUDES OPENSDR_PORT_HEADERS OPENSDR_PORT_SOURCES OPENSDR_PORT_LINK_LIBS)
